[-]
[+]
|
Changed |
tacacs+.spec
|
|
[-]
[+]
|
Added |
init.diff
^
|
@@ -0,0 +1,83 @@
+diff -Naur tac_plus.F4.0.4.alpha/tac_plus.init tac_plus.F4.0.4.alpha-PAM-0.4/tac_plus.init
+--- tac_plus.F4.0.4.alpha/tac_plus.init Wed Dec 31 19:00:00 1969
++++ tac_plus.F4.0.4.alpha-PAM-0.4/tac_plus.init Fri Feb 2 18:08:42 2001
+@@ -0,0 +1,79 @@
++#!/bin/sh
++#
++# description: Cisco's tacacs+ access, authorization, and accounting server.
++# chkconfig: 345 15 85
++#
++
++# Source function library.
++. /etc/rc.d/init.d/functions
++
++# Source networking configuration.
++. /etc/sysconfig/network
++
++# Check that networking is up.
++[ ${NETWORKING} = "no" ] && exit 0
++
++[ -f /usr/local/sbin/tac_plus ] || exit 0
++
++[ -f /etc/tacacs/tac_plus.cfg ] || exit 0
++
++# ===========================================================================
++# Normally, only messages at error level or above are written to the log.
++# To write TACACS+ info messages to the log, this option takes a parameter
++# based on a sum of the following options:
++# number information about
++# 1 general
++# 2 parsing
++# 4 forking
++# 8 authorization
++# 16 authentication
++# 32 passwords
++# 64 accounting
++# 128 configuration
++# 256 packet
++# 512 hex
++# 1024 md5 hash
++# 2048 xor
++# 4096 clean
++# 8192 subst
++#
++# For more information on the various debug flags, see your Cisco manual.
++
++DEBUG_LEVEL=255
++#DEBUG_LEVEL=31
++# See how we were called.
++case "$1" in
++ start)
++ # Start daemons.
++ echo -n "Starting tacacs+: "
++ /usr/local/sbin/tac_plus -C /etc/tacacs/tac_plus.cfg \
++ -l /var/log/tacacs/tac_plus.log \
++ -w /var/log/tacacs/tac_plus.who \
++ -d $DEBUG_LEVEL && \
++ success || failure
++ echo
++ touch /var/lock/subsys/tacacs
++ ;;
++ stop)
++ # Stop daemons.
++ echo -n "Shutting down tacacs+: "
++ killproc tac_plus
++ rm -f /var/lock/subsys/tacacs
++ echo
++ ;;
++ status)
++ status tac_plus
++ exit $?
++ ;;
++ restart)
++ $0 stop
++ $0 start
++ exit $?
++ ;;
++ reload)
++ kill -USR1 `cat /var/run/tac_plus.pid`
++ ;;
++ *)
++ echo "Usage: tacacs {start|stop|status|restart|reload}"
++ exit 1
++esac
|
[-]
[+]
|
Added |
tac_plus.init.suse
^
|
@@ -0,0 +1,88 @@
+#!/bin/sh
+#
+# tac_plus This shell script takes care of starting and stopping
+# tac_plus (TACACS+ daemon).
+#
+# /etc/init.d/tac_plus
+#
+# and symbolic its link
+#
+# /usr/sbin/rctac_plus
+#
+### BEGIN INIT INFO
+# Provides: tac_plus
+# Required-Start: $network $remote_fs
+# Required-Stop: $network $remote_fs
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Description: Start the TACACS+ daemon
+### END INIT INFO
+
+TACPLUS_BIN=/usr/sbin/tac_plus
+test -x $TACPLUS_BIN || exit 5
+
+TACPLUS_SYSCONFIG=/etc/sysconfig/tac_plus
+test -r $TACPLUS_SYSCONFIG || exit 6
+. $TACPLUS_SYSCONFIG
+
+test -r $TACPLUS_CONFIG || exit 7
+. $TACPLUS_CONFIG
+
+TACPLUS_PIDFILE=/var/run/tac_plus.pid
+
+. /etc/rc.status
+
+# Shell functions sourced from /etc/rc.status:
+# rc_check check and set local and overall rc status
+# rc_status check and set local and overall rc status
+# rc_status -v ditto but be verbose in local rc status
+# rc_status -v -r ditto and clear the local rc status
+# rc_failed set local and overall rc status to failed
+# rc_reset clear local rc status (overall remains)
+# rc_exit exit appropriate to overall rc status
+
+# First reset status of this service
+rc_reset
+
+# See how we were called.
+case "$1" in
+ start)
+ # Start daemon.
+ echo -n "Starting tac_plus daemon"
+ startproc -f -p $TACPLUS_PIDFILE $TACPLUS_BIN $TACPLUS_OPTS
+ rc_status -v
+ ;;
+ stop)
+ # Stop daemons.
+ echo -n "Shutting down tac_plus daemon "
+ killproc -p $TACPLUS_PIDFILE -TERM $TACPLUS_BIN
+ echo
+ ;;
+ status)
+ # Status
+ echo -n "Checking for service tac_plus "
+ checkproc -p $TACPLUS_PIDFILE $TACPLUS_BIN
+ rc_status -v
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+
+ reload)
+ echo -n "Reload service tac_plus "
+ killproc -p $TACPLUS_PIDFILE -SIGUSR1 $TACPLUS_BIN
+ rc_status -v
+ ;;
+ test)
+ echo "Testing config of service tac_plus "
+ $TACPLUS_BIN -P -C $TACPLUS_CONFIG
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: tac_plus {start|stop|status|restart|reload|test}"
+ exit 1
+esac
+
+exit 0
|
[-]
[+]
|
Added |
tac_plus.sysconfig
^
|
@@ -0,0 +1,6 @@
+## tac_plus daemon options
+# TACPLUS_DEBUG: Default "0"
+TACPLUS_DEBUG="0"
+
+# TACPLUS_OPTS: Default "-d $TACPLUS_DEBUG"
+TACPLUS_OPTS="-d $TACPLUS_DEBUG"
|